#
# spec file for package sle12-cloud-aggregates
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# needsbinariesforbuild


Name:           sle12-cloud-aggregates
Version:        0.0
Release:        28.1
Summary:        Allocate SDK packages for a selfcontained repo
License:        Other
Group:          Development/Tools/Building
BuildRequires:  gmp-devel
BuildRequires:  gstreamer-0_10
BuildRequires:  gstreamer-0_10-plugins-base
BuildRequires:  libgcrypt-devel
BuildRequires:  libgmpxx4
BuildRequires:  libgnutls-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  libgstapp-0_10-0
BuildRequires:  libgstinterfaces-0_10-0
BuildRequires:  libgstreamer-0_10-0
BuildRequires:  libnetfilter_cthelper0
BuildRequires:  libnetfilter_cttimeout1
BuildRequires:  libnettle-devel
BuildRequires:  libnfnetlink-devel
BuildRequires:  libnfnetlink0
BuildRequires:  libtasn1-devel
BuildRequires:  libwebpmux1
BuildRequires:  libwx_gtk2u_adv-2_8-0-stl
BuildRequires:  libwx_gtk2u_aui-2_8-0-stl
BuildRequires:  libwx_gtk2u_gl-2_8-0-stl
BuildRequires:  libwx_gtk2u_html-2_8-0-stl
BuildRequires:  libwx_gtk2u_stc-2_8-0-stl
BuildRequires:  libwx_gtk2u_xrc-2_8-0-stl
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  mozilla-nspr-devel
BuildRequires:  mozilla-nss-devel
BuildRequires:  p11-kit-devel
BuildRequires:  python-numpy
BuildRequires:  readline-devel
BuildRequires:  xz-devel
#!BuildIgnore: post-build-checks rpmlint-Factory
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description

%prep

%build

%install
for m in gstreamer-0_10 libwebpmux1 libgstreamer-0_10-0 libgstapp-0_10-0 \
         libgstinterfaces-0_10-0 gstreamer-0_10-plugins-base \
         libnetfilter_cthelper0 libnetfilter_cttimeout1 libnfnetlink0 \
         libnfnetlink-devel libgmpxx4 \
         libwx_gtk2u_adv-2_8-0-stl libwx_gtk2u_aui-2_8-0-stl libwx_gtk2u_gl-2_8-0-stl  \
         libwx_gtk2u_html-2_8-0-stl libwx_gtk2u_stc-2_8-0-stl libwx_gtk2u_xrc-2_8-0-stl \
         libxml2-2 libgnutls-devel libxml2-devel libxslt-devel \
         libgcrypt-devel libgpg-error-devel mozilla-nss-devel mozilla-nspr-devel \
         readline-devel xz-devel libtasn1-devel libnettle-devel gmp-devel p11-kit-devel \
         ; do
    install /.build.binaries/${m}.rpm %{_rpmdir}/%{_arch}/${m}.rpm
done

%changelog
